use elastic::lexer;
use elastic::parser;

use std::env;

fn main() -> std::io::Result<()> {
    let args: Vec<String> = env::args().into_iter().skip(1).collect();
    let input = args.join(" ");
    let tokens = lexer::scan(&input)?;
    let select = parser::parse(tokens)?;
    dbg!(select);
    Ok(())
}
